Description: debianization
	Meant to maintain a minimal debian/rules, to fix warnings,
	to address Debian specific stuff in general.
Author: Jerome Benoit <calculus@rezozer.net>
Last-Update: 2017-11-24

--- a/dreadnaut.c
+++ b/dreadnaut.c
@@ -473,7 +473,11 @@
 
     if (prompt)
     {
+#ifdef DEBPKGVERSION
+        fprintf(PROMPTFILE, "Dreadnaut (Debian " DEBPKGVERSION ") version %s.\n" ,NAUTYVERSION);
+#else
         fprintf(PROMPTFILE,"Dreadnaut version %s.\n",NAUTYVERSION);
+#endif
         fprintf(PROMPTFILE,"> ");
     }
 
--- a/Makefile.am
+++ b/Makefile.am
@@ -4,7 +4,6 @@
 SUBDIRS = nauty
 
 pkginclude_HEADERS = \
-	nauty.h \
 	nautinv.h \
 	naurng.h \
 	nausparse.h \
@@ -19,6 +18,10 @@
 	gtools.h \
 	gutils.h
 
+pkgmultiarchincludedir = $(includedir)/$(DEB_HOST_MULTIARCH)/$(PACKAGE)
+pkgmultiarchinclude_HEADERS = \
+	nauty.h
+
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA= nauty.pc
 
@@ -182,7 +185,7 @@
 	LD_LIBRARY_PATH=$(top_builddir)/.libs $(HELP2MAN) \
 			-s 1 \
 			$(AM_H2MFLAGS) \
-			-I $(top_srcdir)/man/$*.h2m \
+			-I $(top_srcdir)/debian/man/$*.h2m \
 			-n $(if $($*_DESCRIPTION), $($*_DESCRIPTION), "manual page for $*") \
 			-o $@ \
 		$(top_builddir)/$<
@@ -256,7 +259,7 @@
 checks6_DESCRIPTION =       "check a file of graphs and optionally perform corrections"
 sumlines_DESCRIPTION =      "sum lines matching specified graph formats"
 
-dreadnaut_CPPFLAGS =
+dreadnaut_CPPFLAGS =     -DDEBPKGVERSION=\"$(DEB_VERSION)\"
 addedgeg_CPPFLAGS =
 addptg_CPPFLAGS =
 amtog_CPPFLAGS =
--- a/configure.ac
+++ b/configure.ac
@@ -507,6 +507,8 @@
 ## GNU MultiPrecision arithmetic library (GMP)
 AM_PATH_GMP(6.1.2,[],[AC_MSG_WARN([could not find required version of GMP])])
 
+AC_SUBST(DEB_HOST_MULTIARCH)
+
 AC_CONFIG_FILES([
 	nauty.pc:nauty-pc.in
 	Makefile
